Bug 1236081 - nrpe: /var/run/nrpe owner mismatch
Summary: nrpe: /var/run/nrpe owner mismatch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nrpe
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-26 13:34 UTC by Ruben Kerkhof
Modified: 2017-07-07 22:55 UTC (History)
6 users (show)

Fixed In Version: nrpe-3.1.1-1.fc24 nrpe-3.1.1-1.fc25 nrpe-3.1.1-1.el6 nrpe-3.1.1-1.el7 nrpe-3.1.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-04 00:19:32 UTC


Attachments (Terms of Use)
Fix ownership of /var/run/nrpe (516 bytes, application/mbox)
2015-06-26 13:34 UTC, Ruben Kerkhof
no flags Details

Description Ruben Kerkhof 2015-06-26 13:34:00 UTC
Created attachment 1043510 [details]
Fix ownership of /var/run/nrpe

Description of problem:

According to nrpe.spec, /var/run/nrpe is owned by nrpe, but nrpe-tmpfiles.conf ensures it is owned by root.

Patch attached.

Comment 1 Jan Kurik 2015-07-15 13:54:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Admin XMLRPC Client 2015-08-31 15:10:56 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-08-31 15:16:12 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Jan Kurik 2016-02-24 13:24:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Ruben Kerkhof 2016-04-21 06:57:54 UTC
Dear Nick,

Any chance you could apply this?

Comment 6 Jan Kurik 2016-07-26 04:50:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 7 Fedora Admin XMLRPC Client 2017-01-17 19:36:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Update System 2017-03-03 23:30:06 UTC
nrpe-3.0.1-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3

Comment 9 Fedora Update System 2017-03-04 00:08:13 UTC
nrpe-3.0.1-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3

Comment 10 Fedora Update System 2017-03-05 04:20:31 UTC
nrpe-3.0.1-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4f49632d3

Comment 11 Fedora Update System 2017-03-05 04:23:20 UTC
nrpe-3.0.1-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a89da38bf3

Comment 12 Ruben Kerkhof 2017-03-05 11:44:57 UTC
Thanks a lot for picking this up Stephen, I appreciate it.

Comment 13 Fedora Update System 2017-03-23 21:50:19 UTC
nrpe-3.0.1-6.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27

Comment 14 Fedora Update System 2017-03-23 22:08:30 UTC
nrpe-3.0.1-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635

Comment 15 Fedora Update System 2017-03-24 19:53:01 UTC
nrpe-3.0.1-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8f92515d27

Comment 16 Fedora Update System 2017-03-24 20:24:26 UTC
nrpe-3.0.1-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d12527a635

Comment 17 Christian Kujau 2017-05-11 06:01:48 UTC
$ rpm -q nrpe && cat /usr/lib/tmpfiles.d/nrpe.conf && ls -la /var/run/nrpe
nrpe-3.0.1-6.fc25.x86_64
D /var/run/nrpe 0775 root nrpe -
total 4
drwxr-xr-x.  2 nrpe nrpe   60 May 10 22:55 .
drwxr-xr-x. 46 root root 1320 May 10 22:55 ..
-rw-r--r--.  1 nrpe nrpe    5 May 10 22:55 nrpe.pid

Comment 18 Stephen John Smoogen 2017-05-11 13:10:17 UTC
Thanks for the data Christian. I took this ticket up really late so not sure if this shows that it fixes the problem or is still a problem. [I also have not had any coffee yet ..]

Comment 19 Christian Kujau 2017-05-12 04:15:35 UTC
Sorry, I should have been more verbose: So, the tmpfiles.d/nrpe.conf still specifies that the /var/run/nrpe directory should be owned by root:nrpe while it should be owned by "nrpe:nrpe" instead and thus I think this bug is still not fixed. Although I have to admit I have not seen any ill effects by that tmpfiles.d entry and if it's causing a real problem for anyone. @Ruben, can you comment on that?

Comment 20 Ruben Kerkhof 2017-05-12 10:23:26 UTC
@Christian, I'm sorry, it's been such a long time ago that I opened this issue that I'm having trouble recalling the details. It's possible that this just tripped rpm's verify. Another thing I have a vague recollection of is that nrpe was having trouble deleting its own pid. Unfortunately at the same time I opened this I stuck something in puppet to enforce the permissions on /var/run/nrpe.

In any case, I don't think it's a big issue, and more about consistency.

Comment 21 Fedora Update System 2017-05-14 15:50:57 UTC
nrpe-3.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6

Comment 22 Fedora Update System 2017-05-15 06:35:24 UTC
nrpe-3.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-665b1abde6

Comment 23 Christian Kujau 2017-05-15 20:14:13 UTC
After installing nrpe-3.1.0-3.fc25, this bug appeared here as well:

# systemctl start nrpe
# systemctl status nrpe
[...]
May 15 12:02:29 disko systemd[1]: Starting Nagios Remote Program Executor...
May 15 12:02:29 disko nrpe[19093]: Starting up daemon
May 15 12:02:29 disko nrpe[19093]: Cannot write to pidfile '/var/run/nrpe.pid' - check your privileges.
May 15 12:02:29 disko systemd[1]: Started Nagios Remote Program Executor.


# ls -ld /var/run/{,nrpe.pid,nrpe}
drwxr-xr-x. 46 root root 1320 May 15 12:02 /var/run/
drwxrwxr-x.  2 nrpe nrpe   40 May  2 11:49 /var/run/nrpe
ls: cannot access '/var/run/nrpe.pid': No such file or directory


After setting pid_file to /var/run/nrpe/nrpe.pid in nrpe.cfg, NRPE starts up just fine. 

Still, the tmpfiles configuration should still be changed to "nrpe:nrpe" too:

$ cat /usr/lib/tmpfiles.d/nrpe.conf
D /var/run/nrpe 0775 root nrpe -

...or removed altogether, I don't know what "tmpfiles" tries to accomplish here.

Comment 24 Stephen John Smoogen 2017-06-14 18:44:41 UTC
OK thank you for your patience here. I am working on getting this working and will have test packages out later today.

Comment 25 Fedora Update System 2017-06-14 23:42:27 UTC
nrpe-3.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 26 Fedora Update System 2017-06-15 00:02:51 UTC
nrpe-3.1.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 27 Fedora Update System 2017-06-15 00:36:52 UTC
nrpe-3.1.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 28 Fedora Update System 2017-06-15 00:47:05 UTC
nrpe-3.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 29 Fedora Update System 2017-06-15 01:02:21 UTC
nrpe-3.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 30 Fedora Update System 2017-06-15 09:48:10 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-92879f40b9

Comment 31 Fedora Update System 2017-06-15 09:48:16 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f37341bbab

Comment 32 Fedora Update System 2017-06-15 10:57:30 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be117b53a8

Comment 33 Fedora Update System 2017-06-15 10:59:26 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb24165ee1

Comment 34 Fedora Update System 2017-06-15 14:01:28 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-69a58c7a69

Comment 35 Fedora Update System 2017-07-04 00:19:32 UTC
nrpe-3.1.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-07-04 01:50:52 UTC
nrpe-3.1.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2017-07-04 04:17:24 UTC
nrpe-3.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2017-07-04 04:19:38 UTC
nrpe-3.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2017-07-07 22:55:23 UTC
nrpe-3.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.